## org.eclipse.emf.ecoretools.diagram.part
Class ModelElementSelectionPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.emf.ecoretools.diagram.part.ModelElementSelectionPage

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage

    public class ModelElementSelectionPage

extends org.eclipse.jface.wizard.WizardPage

Wizard page that allows to select element from model.

Field Summary
`protected org.eclipse.emf.ecore.EObject` `selectedModelElement`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`ModelElementSelectionPage(java.lang.String pageName)`

Method Summary
`void` `createControl(org.eclipse.swt.widgets.Composite parent)`
`org.eclipse.emf.ecore.EObject` `getModelElement()`
`protected java.lang.String` `getSelectionTitle()` Override to provide custom model element description.
`void` `setModelElement(org.eclipse.emf.ecore.EObject modelElement)`
`protected void` `updateSelection(org.eclipse.jface.viewers.IStructuredSelection selection)`
`protected boolean` `validatePage()` Override to provide specific validation of the selected model element.

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp, setVisible`

Field Detail

### selectedModelElement

    protected org.eclipse.emf.ecore.EObject selectedModelElement

Constructor Detail

### ModelElementSelectionPage

    public ModelElementSelectionPage(java.lang.String pageName)

Method Detail

### getModelElement

    public org.eclipse.emf.ecore.EObject getModelElement()

### setModelElement

    public void setModelElement(org.eclipse.emf.ecore.EObject modelElement)

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

### getSelectionTitle

    protected java.lang.String getSelectionTitle()

  Override to provide custom model element description.

### updateSelection

    protected void updateSelection(org.eclipse.jface.viewers.IStructuredSelection selection)

### validatePage

    protected boolean validatePage()

  Override to provide specific validation of the selected model element.

Copyright 2007 Anyware Technologies. All Rights Reserved.